Flutter에서 토스페이먼츠 결제창을 손쉽게 연동하기 위한 패키지입니다.

## 1. 사전 설정

### A. 패키지 다운로드
pubspec.yaml에 패키지 추가 
```xml
dependencies:
tosspayments_sdk_flutter: ^0.X.X
```

### B. Android 설정
usesCleartextTraffic 세팅을 true로 설정하여, 웹뷰 내 모든 카드사앱을 띄울 수 있도록 설정
```xml
...
<appication ...  android:usesCleartextTraffic="true"></application>
...
```


### C. iOS설정
info.plist에 아래 카드사 앱스킴들을 등록해주세요. 
```xml
	<key>LSApplicationQueriesSchemes</key>
    <array>
      <string>kftc-bankpay</string> <!-- 계좌이체 -->
      <string>ispmobile</string><!-- ISP모바일 -->
      <string>itms-apps</string><!-- 앱스토어 -->
      <string>hdcardappcardansimclick</string><!-- 현대카드-앱카드 -->
      <string>hyundaicardappcardid</string><!-- 현대카드-공인인증서 -->
      <string>shinhan-sr-ansimclick</string><!-- 신한카드-앱카드 -->
      <string>smshinhanansimclick</string><!-- 신한카드-공인인증서 -->
      <string>kb-acp</string>
      <string>kb-auth</string><!-- 국민카드-앱카드 -->
      <string>mpocket.online.ansimclick</string><!-- 삼성카드-앱카드 -->
      <string>ansimclickscard</string>
      <string>ansimclick</string><!-- 삼성카드-온라인결제 -->
      <string>ansimclickipcollect</string><!-- 삼성카드-온라인결제 -->
      <string>vguardstart</string><!-- 삼성카드-백신 -->
      <string>samsungpay</string><!-- 삼성카드-삼성페이 -->
      <string>scardcertiapp</string><!-- 삼성카드-공인인증서 -->
      <string>lottesmartpay</string><!-- 롯데카드-모바일결제 -->
      <string>lotteappcard</string><!-- 롯데카드-앱카드 -->
      <string>cloudpay</string><!-- 하나카드-앱카드 -->
      <string>nhappcardansimclick</string><!-- 농협카드-앱카드 -->
      <string>nonghyupcardansimclick</string><!-- 농협카드-공인인증서 -->
      <string>citispay</string><!-- 씨티카드-앱카드 -->
      <string>citicardappkr</string><!-- 씨티카드-공인인증서 -->
      <string>citimobileapp</string><!-- 씨티카드-간편결제 -->
      <string>kakaotalk</string><!-- 카카오톡 -->
      <string>payco</string><!-- 페이코 -->
      <string>lpayapp</string><!-- 롯데 L페이 -->
      <string>hanamopmoasign</string><!-- 하나카드 공인인증앱 -->
      <string>com.wooricard.wcard</string><!-- 우리페이 -->
      <string>nhallonepayansimclick</string><!-- NH 올원페이 -->
      <string>hanawalletmembers</string><!-- 하나카드(하나멤버스 월렛) -->
      <string>lguthepay-xpay</string><!-- 페이나우 -->
      <string>liivbank</string><!-- 리브모바일 -->
      <string>lmslpay</string>
      <string>lpayapp</string><!-- L.pay -->
      <string>newsmartpib</string><!-- 우리WON뱅킹 -->
    </array>
```

## 2. 시작하기
아래 방법으로 토스페이먼츠 결제창을 띄울 수 있습니다. 자세한 내용은 예제(example)을 참고해주세요.

```dart
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:tosspayments_sdk_flutter/model/tosspayments_result.dart';
import 'package:tosspayments_sdk_flutter/tosspayments_sdk_flutter.dart';
import 'package:tosspayments_sdk_flutter/model/paymentData.dart';

class Payment extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return TossPayments(
      apiKey: "##TODO clientKey 입력 ##,"
      data:  PaymentData(
          paymentMethod: '카드',
          orderId: 'tosspayments-202303210239',
          orderName: 'toss t-shirt',
          amount: 50000,
          customerName: '김토스',
          customerEmail: 'toss@toss-payments.co.kr'
      ),
      success: (Success success) {
          Get.back(result: success);
      },
      fail: (Fail fail) {
          Get.back(result: fail);
      };
    );
  }
}

```
## * 연동 관련 문의사항
 디스코드로 찾아오시면 실시간 채팅으로 궁금한 점을 해결하실 수 있습니다. ([디스코드 링크](https://discord.gg/tosspayments)) 